# Contraption

__Contraption__ - *Informal, often facetious or derogatory, a device or contrivance, esp one considered strange, unnecessarily intricate, or improvised*

Contraption is a engine for managing static web content specifically targeted at blogging.

## Installation

    $ gem install contraption

## Usage

__Step 1__: Generate new content directory.

    bin/contraption generate -d my_content

__Step 2__: Write a new draft.

    vim drafts/why_contraption_is_awesome.md

__Step 3__: Preview site.

    bin/contraption preview -s my_content

__Step 4__: Build website.

    bin/contraption -s my_content -d public_html


## Development
[![Code Climate](https://codeclimate.com/github/rampantmonkey/contraption.png)](https://codeclimate.com/github/rampantmonkey/contraption)
[![Build Status](https://travis-ci.org/rampantmonkey/contraption.png?branch=master)](https://travis-ci.org/rampantmonkey/contraption)
[![Coverage Status](https://coveralls.io/repos/rampantmonkey/contraption/badge.png?branch=master)](https://coveralls.io/r/rampantmonkey/contraption?branch=master)
## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

If you are looking for ideas check out the [issue tracker](https://github.com/rampantmonkey/contraption/issues).

## License
Contraption is licensed under [The MIT License](http://opensource.org/licenses/MIT).
