require_relative '../../lib/contraption/location'
require_relative '../../lib/contraption/repository'
require_relative '../../lib/contraption/command_selector'

Given(/^I have a writeable directory$/) do
  @target_dir = 'new_repository'
  FileUtils.rm_r @target_dir if File.exist? @target_dir
  expect(Dir.mkdir(@target_dir)).to eq 0
end

When(/^I run contraption generate$/) do
  Contraption::CommandSelector.go ['generate', '-d', @target_dir]
end

Then(/^I should have a valid project$/) do
  path = Contraption::Location.new @target_dir
  expect{Contraption::Repository.new path}.not_to raise_error
end

Then(/^contraption should accept the generated repository as input$/) do
  expect{Contraption::CommandSelector.go ['-s', @target_dir, '-d', @target_dir + 'output']}.not_to raise_error
end
