require_relative '../../../lib/contraption/formatter'

module Contraption
  describe Formatter do
    it "accepts a source location" do
      source = "/some/path/"
      source.stub(:list).and_return([])
      Formatter.new source
    end

    context "#formats" do
      it "contains a list of available formats" do
        source = double()
        source.stub(:list).with('.erb').and_return(%w[article.erb link.erb])
        f = Formatter.new source
        f.formats.should eq %i[article link]
      end
    end

    context "#format" do
      it "raises an error if format does not exist" do
        source = double()
        source.stub(:list).and_return([])
        f = Formatter.new source
        context = Struct.new(:type).new(:article)
        expect {f.format(context)}.to raise_error(ArgumentError)
      end
    end
  end
end
