require_relative '../../../lib/contraption/tag_cloud'

module Contraption
  describe TagCloud do
    context "#initialize" do
      it "takes a collection of posts" do
        tc = TagCloud.new []
      end
    end

    context "#to_s" do
      before do
        tag1 = double
        tag2 = double
        tag1.stub(:to_s).and_return("Ruby")
        tag1.stub(:to_url).and_return("ruby")
        tag2.stub(:to_s).and_return("OS X")
        tag2.stub(:to_url).and_return("os-x")
        posts = double
        posts.stub(:by_tag).and_return( {tag1 => [1, 2], tag2 => [1]} )
        @tc = TagCloud.new posts
      end

      it "contains all of the tags" do
        @tc.to_s.should include 'ruby'
        @tc.to_s.should include 'os-x'
      end

      it "includes a link to the tag page" do
        @tc.to_s.should include 'ruby/index.html'
        @tc.to_s.should include 'os-x/index.html'
      end

      it "sets the size of each tag" do
        @tc.to_s.should include 'font-size'
      end
    end
  end
end
