require_relative '../../../lib/contraption/tag.rb'

module Contraption
  describe Tag do
    it "accepts a string to be displayed" do
      t = Tag.new "Ruby"
    end

    it "returns the display text" do
      t = Tag.new "Ruby"
      t.to_s.should eq "Ruby"
    end

    context "#to_url" do
      it "provides a url friendly version" do
        t = Tag.new "Ruby"
        t.to_url
      end

      it "downcases the output" do
        t = Tag.new "Ruby"
        t.to_url.should eq "ruby"
      end

      it "replaces spaces with dashes" do
        t = Tag.new "ruby rocks"
        t.to_url.should eq "ruby-rocks"
      end
    end

    context "#to_sym" do
      it "returns a symbolized version of the display text" do
        t = Tag.new "Qwerty"
        t.to_sym.should eq "Qwerty".to_sym
      end
    end
  end
end
